curl -X GET "https://parsagon.io/api/legislative/v1/bills/b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61/amendments/?house=Lords" \ -H "Authorization: Token YOUR_API_KEY_HERE"
{ "count": 1, "next": null, "previous": null, "results": [ { "id": "c41d7e93-8b2a-4f6c-a05e-1d9b3f7c2e84", "external_id": "10040590", "stage": "Committee stage", "house": "Lords", "marshalled_no": "17", "amendment_type": "EditBillBody", "summary_text": "Clause 3, page 6, line 3, at end insert— “(3A) In deciding whether the requirement in subsection (3)(a) is met, the court must have regard in particular to whether the likely complexity of the trial, and its likely length, are such that a jury could not reasonably be expected to understand and consider the evidence and the issues in the case, taking into account— ...", "explanatory_text_prefix": "Member's explanatory statement", "explanatory_text": "This amendment would require the court, in deciding whether a trial’s complexity and length makes trial without a jury appropriate, to have regard to whether a jury could reasonably be expected to understand and consider the evidence.", "decision": "NotMoved", "decision_explanation": "The amendment was not moved. The House was not invited to take a decision on it (though it may have been debated with other amendments).", "decision_changed_at": "2026-11-11T06:14:52.903417Z", "government_tag": "Non-government", "upstream_url": "https://bills.parliament.uk/bills/4083/stages/21266/amendments/10040590", "source": "3f1c9a52-7d4e-4b8a-9c61-2e5b0d8f4a17", "sponsors": [ { "name": "Lord Marks of Henley-on-Thames", "party": "ld", "member_from": "Life peer", "is_lead": true, "external_member_id": "4206" } ] } ]}
Bill records
List bill amendments
Retrieve the amendments tabled to a bill, with their text and sponsors.
curl -X GET "https://parsagon.io/api/legislative/v1/bills/b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61/amendments/?house=Lords" \ -H "Authorization: Token YOUR_API_KEY_HERE"
{ "count": 1, "next": null, "previous": null, "results": [ { "id": "c41d7e93-8b2a-4f6c-a05e-1d9b3f7c2e84", "external_id": "10040590", "stage": "Committee stage", "house": "Lords", "marshalled_no": "17", "amendment_type": "EditBillBody", "summary_text": "Clause 3, page 6, line 3, at end insert— “(3A) In deciding whether the requirement in subsection (3)(a) is met, the court must have regard in particular to whether the likely complexity of the trial, and its likely length, are such that a jury could not reasonably be expected to understand and consider the evidence and the issues in the case, taking into account— ...", "explanatory_text_prefix": "Member's explanatory statement", "explanatory_text": "This amendment would require the court, in deciding whether a trial’s complexity and length makes trial without a jury appropriate, to have regard to whether a jury could reasonably be expected to understand and consider the evidence.", "decision": "NotMoved", "decision_explanation": "The amendment was not moved. The House was not invited to take a decision on it (though it may have been debated with other amendments).", "decision_changed_at": "2026-11-11T06:14:52.903417Z", "government_tag": "Non-government", "upstream_url": "https://bills.parliament.uk/bills/4083/stages/21266/amendments/10040590", "source": "3f1c9a52-7d4e-4b8a-9c61-2e5b0d8f4a17", "sponsors": [ { "name": "Lord Marks of Henley-on-Thames", "party": "ld", "member_from": "Life peer", "is_lead": true, "external_member_id": "4206" } ] } ]}
Returns the amendments tabled to a bill, with their text and sponsors.Votes on amendments, and decisions such as an amendment being withdrawn or not moved, are listed by List bill votes.
Path parameters
string
required
The id of the bill.
Query parameters
string
Only return amendments tabled in this house, such as Lords. Must match the amendment’s house exactly.
string
Only return amendments tabled at this stage, such as Committee stage. Must match the amendment’s stage exactly.
string
Only return amendments with this number, such as 17.
number
The maximum number of records to return. Defaults to 100; maximum 500.
number
The number of records to skip. Defaults to 0.
Response
integer
Total number of records that match the query.
string | null
URL for the next page of results, or null if this is the last page.
string | null
URL for the previous page of results, or null if this is the first page.
array
Array of amendments.
Show Amendment fields
string
UUID of the amendment.
string
The amendment’s ID in the legislature’s own system.
string
The stage the amendment was tabled at. Empty if unavailable.
string
The house the amendment was tabled in. Empty if unavailable.
string
The amendment’s number on the legislature’s list of amendments. Empty if unavailable.
string
Type of amendment, as given by the legislature. Empty if unavailable.
string
Text of the amendment. Empty if unavailable.
string
Heading of the explanatory statement. Empty if unavailable.
string
The explanatory statement for the amendment. Empty if unavailable.
string
The decision on the amendment, such as "Withdrawn". Empty if no decision has been made.
string
Explanation of the decision. Empty if unavailable.
string | null
When Parsagon detected a change to the decision (ISO 8601).
string
"Government" for a government amendment, or "Non-government". Empty if unknown.
string
URL of the amendment on the legislature’s website. Empty if unavailable.
string | null
uuid of the "LEGISLATION" source for the amendment. null if Parsagon hasn’t created one.
array
The members who tabled the amendment.
Show Sponsor fields
string
Name of the sponsor.
string
The sponsor’s party, as a short key such as "ld". Empty if unknown.
string
The sponsor’s constituency or other affiliation. Empty if unavailable.
boolean
Whether the sponsor is the lead sponsor.
string
The sponsor’s member ID in the legislature’s own system. Empty if unavailable.
Errors
Status
Meaning
403 Forbidden
Your account doesn’t have a valid subscription or hasn’t accepted the Terms of Service.
404 Not Found
No bill has this id, or the bill belongs to a jurisdiction you can’t access.
{ "count": 1, "next": null, "previous": null, "results": [ { "id": "c41d7e93-8b2a-4f6c-a05e-1d9b3f7c2e84", "external_id": "10040590", "stage": "Committee stage", "house": "Lords", "marshalled_no": "17", "amendment_type": "EditBillBody", "summary_text": "Clause 3, page 6, line 3, at end insert— “(3A) In deciding whether the requirement in subsection (3)(a) is met, the court must have regard in particular to whether the likely complexity of the trial, and its likely length, are such that a jury could not reasonably be expected to understand and consider the evidence and the issues in the case, taking into account— ...", "explanatory_text_prefix": "Member's explanatory statement", "explanatory_text": "This amendment would require the court, in deciding whether a trial’s complexity and length makes trial without a jury appropriate, to have regard to whether a jury could reasonably be expected to understand and consider the evidence.", "decision": "NotMoved", "decision_explanation": "The amendment was not moved. The House was not invited to take a decision on it (though it may have been debated with other amendments).", "decision_changed_at": "2026-11-11T06:14:52.903417Z", "government_tag": "Non-government", "upstream_url": "https://bills.parliament.uk/bills/4083/stages/21266/amendments/10040590", "source": "3f1c9a52-7d4e-4b8a-9c61-2e5b0d8f4a17", "sponsors": [ { "name": "Lord Marks of Henley-on-Thames", "party": "ld", "member_from": "Life peer", "is_lead": true, "external_member_id": "4206" } ] } ]}
curl -X GET "https://parsagon.io/api/legislative/v1/bills/b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61/amendments/?house=Lords" \ -H "Authorization: Token YOUR_API_KEY_HERE"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Parsagon API","colors":{"primary":"#006ef5","light":"#006ef5","dark":"#006ef5"},"logo":{"light":"https://mintcdn.com/parsagon/OT9jFrMDyW944O06/logo/light.svg?fit=max\u0026auto=format\u0026n=OT9jFrMDyW944O06\u0026q=85\u0026s=41a1f2238536b1d77487a185943344fe","dark":"https://mintcdn.com/parsagon/OT9jFrMDyW944O06/logo/dark.svg?fit=max\u0026auto=format\u0026n=OT9jFrMDyW944O06\u0026q=85\u0026s=e9ea4cecbc58e9d572b29ed29e144b51"},"favicon":"https://mintcdn.com/parsagon/Yy5RDPLer2_vomkc/favicon.ico?fit=max\u0026auto=format\u0026n=Yy5RDPLer2_vomkc\u0026q=85\u0026s=76c2033c2239575c7e1a0012648bba35","api":{"playground":{"display":"none"}},"appearance":{"default":"light","strict":false},"navbar":{"links":[{"href":"mailto:webmaster@parsagon.io","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://parsagon.io/create-alert"}},"footer":{"socials":{"linkedin":"https://www.linkedin.com/company/parsagon"}},"contextual":{"options":["copy","view","claude","chatgpt","perplexity"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"parsagon","hasAudioNarration":false,"actualSubdomain":"parsagon","customDomains":["docs.parsagon.io"],"gitSource":{"type":"github","owner":"parsagon","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6afe6899b5966e104204a84d","clientVersion":"0.0.4270","searchFilterCounts":[{"language":"default","tag":"Search and monitoring","count":13},{"language":"default","tag":"Legislative","count":12},{"language":"default","tag":"Bill records","count":7},{"language":"default","tag":"AI tools","count":4},{"language":"default","tag":"Bills","count":2},{"language":"default","tag":"Overview","count":1}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"api-reference/legislative/list-amendments","slug":"/api-reference/legislative/list-amendments","pageMetadata":{"title":"List bill amendments","sidebarTitle":"Amendments","description":"Retrieve the amendments tabled to a bill, with their text and sponsors.","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/amendments/","href":"/api-reference/legislative/list-amendments"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve the amendments tabled to a bill, with their text and sponsors.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField,Table}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Returns the amendments tabled to a bill, with their text and sponsors.`}),`\n`,_jsxs(_components.p,{children:[`Votes on amendments, and decisions such as an amendment being withdrawn or not moved, are listed by `,_jsx(_components.a,{href:`/api-reference/legislative/list-votes`,children:`List bill votes`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path parameters`}),`\n`,_jsx(ParamField,{path:`bill_id`,type:`string`,required:true,id:`param-bill-id`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` of the bill.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`house`,type:`string`,id:`param-house`,children:_jsxs(_components.p,{children:[`Only return amendments tabled in this house, such as `,_jsx(_components.code,{children:`Lords`}),`. Must match the amendment’s `,_jsx(_components.code,{children:`house`}),` exactly.`]})}),`\n`,_jsx(ParamField,{query:`stage`,type:`string`,id:`param-stage`,children:_jsxs(_components.p,{children:[`Only return amendments tabled at this stage, such as `,_jsx(_components.code,{children:`Committee stage`}),`. Must match the amendment’s `,_jsx(_components.code,{children:`stage`}),` exactly.`]})}),`\n`,_jsx(ParamField,{query:`marshalled_no`,type:`string`,id:`param-marshalled-no`,children:_jsxs(_components.p,{children:[`Only return amendments with this number, such as `,_jsx(_components.code,{children:`17`}),`.`]})}),`\n`,_jsx(ParamField,{query:`limit`,type:`number`,id:`param-limit`,children:_jsxs(_components.p,{children:[`The maximum number of records to return. Defaults to `,_jsx(_components.code,{children:`100`}),`; maximum `,_jsx(_components.code,{children:`500`}),`.`]})}),`\n`,_jsx(ParamField,{query:`offset`,type:`number`,id:`param-offset`,children:_jsxs(_components.p,{children:[`The number of records to skip. Defaults to `,_jsx(_components.code,{children:`0`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`count`,type:`integer`,id:`param-count`,children:_jsx(_components.p,{children:`Total number of records that match the query.`})}),`\n`,_jsx(ResponseField,{name:`next`,type:`string | null`,id:`param-next`,children:_jsxs(_components.p,{children:[`URL for the next page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the last page.`]})}),`\n`,_jsx(ResponseField,{name:`previous`,type:`string | null`,id:`param-previous`,children:_jsxs(_components.p,{children:[`URL for the previous page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the first page.`]})}),`\n`,_jsxs(ResponseField,{name:`results`,type:`array`,id:`param-results`,children:[_jsx(_components.p,{children:`Array of amendments.`}),_jsxs(Expandable,{title:`Amendment fields`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`UUID of the amendment.`})}),_jsx(ResponseField,{name:`external_id`,type:`string`,id:`param-external-id`,children:_jsx(_components.p,{children:`The amendment’s ID in the legislature’s own system.`})}),_jsx(ResponseField,{name:`stage`,type:`string`,id:`param-stage-1`,children:_jsx(_components.p,{children:`The stage the amendment was tabled at. Empty if unavailable.`})}),_jsx(ResponseField,{name:`house`,type:`string`,id:`param-house-1`,children:_jsx(_components.p,{children:`The house the amendment was tabled in. Empty if unavailable.`})}),_jsx(ResponseField,{name:`marshalled_no`,type:`string`,id:`param-marshalled-no-1`,children:_jsx(_components.p,{children:`The amendment’s number on the legislature’s list of amendments. Empty if unavailable.`})}),_jsx(ResponseField,{name:`amendment_type`,type:`string`,id:`param-amendment-type`,children:_jsx(_components.p,{children:`Type of amendment, as given by the legislature. Empty if unavailable.`})}),_jsx(ResponseField,{name:`summary_text`,type:`string`,id:`param-summary-text`,children:_jsx(_components.p,{children:`Text of the amendment. Empty if unavailable.`})}),_jsx(ResponseField,{name:`explanatory_text_prefix`,type:`string`,id:`param-explanatory-text-prefix`,children:_jsx(_components.p,{children:`Heading of the explanatory statement. Empty if unavailable.`})}),_jsx(ResponseField,{name:`explanatory_text`,type:`string`,id:`param-explanatory-text`,children:_jsx(_components.p,{children:`The explanatory statement for the amendment. Empty if unavailable.`})}),_jsx(ResponseField,{name:`decision`,type:`string`,id:`param-decision`,children:_jsxs(_components.p,{children:[`The decision on the amendment, such as `,_jsx(_components.code,{children:`\"Withdrawn\"`}),`. Empty if no decision has been made.`]})}),_jsx(ResponseField,{name:`decision_explanation`,type:`string`,id:`param-decision-explanation`,children:_jsx(_components.p,{children:`Explanation of the decision. Empty if unavailable.`})}),_jsx(ResponseField,{name:`decision_changed_at`,type:`string | null`,id:`param-decision-changed-at`,children:_jsx(_components.p,{children:`When Parsagon detected a change to the decision (ISO 8601).`})}),_jsx(ResponseField,{name:`government_tag`,type:`string`,id:`param-government-tag`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`\"Government\"`}),` for a government amendment, or `,_jsx(_components.code,{children:`\"Non-government\"`}),`. Empty if unknown.`]})}),_jsx(ResponseField,{name:`upstream_url`,type:`string`,id:`param-upstream-url`,children:_jsx(_components.p,{children:`URL of the amendment on the legislature’s website. Empty if unavailable.`})}),_jsx(ResponseField,{name:`source`,type:`string | null`,id:`param-source`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`uuid`}),` of the `,_jsx(_components.code,{children:`\"LEGISLATION\"`}),` source for the amendment. `,_jsx(_components.code,{children:`null`}),` if Parsagon hasn’t created one.`]})}),_jsxs(ResponseField,{name:`sponsors`,type:`array`,id:`param-sponsors`,children:[_jsx(_components.p,{children:`The members who tabled the amendment.`}),_jsxs(Expandable,{title:`Sponsor fields`,children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Name of the sponsor.`})}),_jsx(ResponseField,{name:`party`,type:`string`,id:`param-party`,children:_jsxs(_components.p,{children:[`The sponsor’s party, as a short key such as `,_jsx(_components.code,{children:`\"ld\"`}),`. Empty if unknown.`]})}),_jsx(ResponseField,{name:`member_from`,type:`string`,id:`param-member-from`,children:_jsx(_components.p,{children:`The sponsor’s constituency or other affiliation. Empty if unavailable.`})}),_jsx(ResponseField,{name:`is_lead`,type:`boolean`,id:`param-is-lead`,children:_jsx(_components.p,{children:`Whether the sponsor is the lead sponsor.`})}),_jsx(ResponseField,{name:`external_member_id`,type:`string`,id:`param-external-member-id`,children:_jsx(_components.p,{children:`The sponsor’s member ID in the legislature’s own system. Empty if unavailable.`})})]})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Meaning`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`403 Forbidden`})}),_jsx(_components.td,{children:`Your account doesn’t have a valid subscription or hasn’t accepted the Terms of Service.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`404 Not Found`})}),_jsxs(_components.td,{children:[`No bill has this `,_jsx(_components.code,{children:`id`}),`, or the bill belongs to a jurisdiction you can’t access.`]})]})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List bill amendments","sidebarTitle":"Amendments","description":"Retrieve the amendments tabled to a bill, with their text and sponsors.","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/amendments/","href":"/api-reference/legislative/list-amendments"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Returns the amendments tabled to a bill, with their text and sponsors.`}),`\n`,_jsxs(_components.p,{children:[`Votes on amendments, and decisions such as an amendment being withdrawn or not moved, are listed by `,_jsx(_components.a,{href:`/api-reference/legislative/list-votes`,children:`List bill votes`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path parameters`}),`\n`,_jsx(ParamField,{path:`bill_id`,type:`string`,required:true,id:`param-bill-id`,children:_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`id`}),` of the bill.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`house`,type:`string`,id:`param-house`,children:_jsxs(_components.p,{children:[`Only return amendments tabled in this house, such as `,_jsx(_components.code,{children:`Lords`}),`. Must match the amendment’s `,_jsx(_components.code,{children:`house`}),` exactly.`]})}),`\n`,_jsx(ParamField,{query:`stage`,type:`string`,id:`param-stage`,children:_jsxs(_components.p,{children:[`Only return amendments tabled at this stage, such as `,_jsx(_components.code,{children:`Committee stage`}),`. Must match the amendment’s `,_jsx(_components.code,{children:`stage`}),` exactly.`]})}),`\n`,_jsx(ParamField,{query:`marshalled_no`,type:`string`,id:`param-marshalled-no`,children:_jsxs(_components.p,{children:[`Only return amendments with this number, such as `,_jsx(_components.code,{children:`17`}),`.`]})}),`\n`,_jsx(ParamField,{query:`limit`,type:`number`,id:`param-limit`,children:_jsxs(_components.p,{children:[`The maximum number of records to return. Defaults to `,_jsx(_components.code,{children:`100`}),`; maximum `,_jsx(_components.code,{children:`500`}),`.`]})}),`\n`,_jsx(ParamField,{query:`offset`,type:`number`,id:`param-offset`,children:_jsxs(_components.p,{children:[`The number of records to skip. Defaults to `,_jsx(_components.code,{children:`0`}),`.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`count`,type:`integer`,id:`param-count`,children:_jsx(_components.p,{children:`Total number of records that match the query.`})}),`\n`,_jsx(ResponseField,{name:`next`,type:`string | null`,id:`param-next`,children:_jsxs(_components.p,{children:[`URL for the next page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the last page.`]})}),`\n`,_jsx(ResponseField,{name:`previous`,type:`string | null`,id:`param-previous`,children:_jsxs(_components.p,{children:[`URL for the previous page of results, or `,_jsx(_components.code,{children:`null`}),` if this is the first page.`]})}),`\n`,_jsxs(ResponseField,{name:`results`,type:`array`,id:`param-results`,children:[_jsx(_components.p,{children:`Array of amendments.`}),_jsxs(Expandable,{title:`Amendment fields`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:_jsx(_components.p,{children:`UUID of the amendment.`})}),_jsx(ResponseField,{name:`external_id`,type:`string`,id:`param-external-id`,children:_jsx(_components.p,{children:`The amendment’s ID in the legislature’s own system.`})}),_jsx(ResponseField,{name:`stage`,type:`string`,id:`param-stage-1`,children:_jsx(_components.p,{children:`The stage the amendment was tabled at. Empty if unavailable.`})}),_jsx(ResponseField,{name:`house`,type:`string`,id:`param-house-1`,children:_jsx(_components.p,{children:`The house the amendment was tabled in. Empty if unavailable.`})}),_jsx(ResponseField,{name:`marshalled_no`,type:`string`,id:`param-marshalled-no-1`,children:_jsx(_components.p,{children:`The amendment’s number on the legislature’s list of amendments. Empty if unavailable.`})}),_jsx(ResponseField,{name:`amendment_type`,type:`string`,id:`param-amendment-type`,children:_jsx(_components.p,{children:`Type of amendment, as given by the legislature. Empty if unavailable.`})}),_jsx(ResponseField,{name:`summary_text`,type:`string`,id:`param-summary-text`,children:_jsx(_components.p,{children:`Text of the amendment. Empty if unavailable.`})}),_jsx(ResponseField,{name:`explanatory_text_prefix`,type:`string`,id:`param-explanatory-text-prefix`,children:_jsx(_components.p,{children:`Heading of the explanatory statement. Empty if unavailable.`})}),_jsx(ResponseField,{name:`explanatory_text`,type:`string`,id:`param-explanatory-text`,children:_jsx(_components.p,{children:`The explanatory statement for the amendment. Empty if unavailable.`})}),_jsx(ResponseField,{name:`decision`,type:`string`,id:`param-decision`,children:_jsxs(_components.p,{children:[`The decision on the amendment, such as `,_jsx(_components.code,{children:`\"Withdrawn\"`}),`. Empty if no decision has been made.`]})}),_jsx(ResponseField,{name:`decision_explanation`,type:`string`,id:`param-decision-explanation`,children:_jsx(_components.p,{children:`Explanation of the decision. Empty if unavailable.`})}),_jsx(ResponseField,{name:`decision_changed_at`,type:`string | null`,id:`param-decision-changed-at`,children:_jsx(_components.p,{children:`When Parsagon detected a change to the decision (ISO 8601).`})}),_jsx(ResponseField,{name:`government_tag`,type:`string`,id:`param-government-tag`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`\"Government\"`}),` for a government amendment, or `,_jsx(_components.code,{children:`\"Non-government\"`}),`. Empty if unknown.`]})}),_jsx(ResponseField,{name:`upstream_url`,type:`string`,id:`param-upstream-url`,children:_jsx(_components.p,{children:`URL of the amendment on the legislature’s website. Empty if unavailable.`})}),_jsx(ResponseField,{name:`source`,type:`string | null`,id:`param-source`,children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`uuid`}),` of the `,_jsx(_components.code,{children:`\"LEGISLATION\"`}),` source for the amendment. `,_jsx(_components.code,{children:`null`}),` if Parsagon hasn’t created one.`]})}),_jsxs(ResponseField,{name:`sponsors`,type:`array`,id:`param-sponsors`,children:[_jsx(_components.p,{children:`The members who tabled the amendment.`}),_jsxs(Expandable,{title:`Sponsor fields`,children:[_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`Name of the sponsor.`})}),_jsx(ResponseField,{name:`party`,type:`string`,id:`param-party`,children:_jsxs(_components.p,{children:[`The sponsor’s party, as a short key such as `,_jsx(_components.code,{children:`\"ld\"`}),`. Empty if unknown.`]})}),_jsx(ResponseField,{name:`member_from`,type:`string`,id:`param-member-from`,children:_jsx(_components.p,{children:`The sponsor’s constituency or other affiliation. Empty if unavailable.`})}),_jsx(ResponseField,{name:`is_lead`,type:`boolean`,id:`param-is-lead`,children:_jsx(_components.p,{children:`Whether the sponsor is the lead sponsor.`})}),_jsx(ResponseField,{name:`external_member_id`,type:`string`,id:`param-external-member-id`,children:_jsx(_components.p,{children:`The sponsor’s member ID in the legislature’s own system. Empty if unavailable.`})})]})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`errors`,children:`Errors`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Status`}),_jsx(_components.th,{children:`Meaning`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`403 Forbidden`})}),_jsx(_components.td,{children:`Your account doesn’t have a valid subscription or hasn’t accepted the Terms of Service.`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`404 Not Found`})}),_jsxs(_components.td,{children:[`No bill has this `,_jsx(_components.code,{children:`id`}),`, or the bill belongs to a jurisdiction you can’t access.`]})]})]})]}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Example response`,numberOfLines:`33`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`33`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"next\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"previous\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"results\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"c41d7e93-8b2a-4f6c-a05e-1d9b3f7c2e84\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"external_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"10040590\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Committee stage\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"house\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lords\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"marshalled_no\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"17\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"amendment_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EditBillBody\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"summary_text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Clause 3, page 6, line 3, at end insert— “(3A) In deciding whether the requirement in subsection (3)(a) is met, the court must have regard in particular to whether the likely complexity of the trial, and its likely length, are such that a jury could not reasonably be expected to understand and consider the evidence and the issues in the case, taking into account— ...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"explanatory_text_prefix\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Member's explanatory statement\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"explanatory_text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"This amendment would require the court, in deciding whether a trial’s complexity and length makes trial without a jury appropriate, to have regard to whether a jury could reasonably be expected to understand and consider the evidence.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"decision\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"NotMoved\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"decision_explanation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The amendment was not moved. The House was not invited to take a decision on it (though it may have been debated with other amendments).\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"decision_changed_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026-11-11T06:14:52.903417Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"government_tag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Non-government\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"upstream_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://bills.parliament.uk/bills/4083/stages/21266/amendments/10040590\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"source\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3f1c9a52-7d4e-4b8a-9c61-2e5b0d8f4a17\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sponsors\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Lord Marks of Henley-on-Thames\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"party\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ld\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"member_from\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Life peer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_lead\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"external_member_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4206\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -X`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` GET`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://parsagon.io/api/legislative/v1/bills/b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61/amendments/?house=Lords\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Token YOUR_API_KEY_HERE\"`})]}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"List bill amendments","sidebarTitle":"Amendments","description":"Retrieve the amendments tabled to a bill, with their text and sponsors.","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/amendments/","href":"/api-reference/legislative/list-amendments"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Path parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Query parameters","slug":"query-parameters","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Errors","slug":"errors","depth":2,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"cURL","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"2\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -X\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> GET\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"https://parsagon.io/api/legislative/v1/bills/b8e2d4f0-1a3c-4e5b-8d7f-6c9a0b2e4d61/amendments/?house=Lords\"\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> -H\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"Authorization: Token YOUR_API_KEY_HERE\"\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Example response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"33\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"count\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"next\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"previous\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">null\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"results\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"c41d7e93-8b2a-4f6c-a05e-1d9b3f7c2e84\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"external_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"10040590\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"stage\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Committee stage\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"house\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Lords\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"marshalled_no\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"17\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"amendment_type\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"EditBillBody\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"summary_text\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Clause 3, page 6, line 3, at end insert— “(3A) In deciding whether the requirement in subsection (3)(a) is met, the court must have regard in particular to whether the likely complexity of the trial, and its likely length, are such that a jury could not reasonably be expected to understand and consider the evidence and the issues in the case, taking into account— ...\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"explanatory_text_prefix\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Member's explanatory statement\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"explanatory_text\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"This amendment would require the court, in deciding whether a trial’s complexity and length makes trial without a jury appropriate, to have regard to whether a jury could reasonably be expected to understand and consider the evidence.\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"decision\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"NotMoved\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"decision_explanation\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"The amendment was not moved. The House was not invited to take a decision on it (though it may have been debated with other amendments).\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"decision_changed_at\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"2026-11-11T06:14:52.903417Z\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"government_tag\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Non-government\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"upstream_url\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"https://bills.parliament.uk/bills/4083/stages/21266/amendments/10040590\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"source\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"3f1c9a52-7d4e-4b8a-9c61-2e5b0d8f4a17\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"sponsors\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Lord Marks of Henley-on-Thames\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"party\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"ld\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"member_from\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Life peer\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_lead\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">true\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"external_member_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"4206\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> ]\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"List bill amendments","path":"/api/legislative/v1/bills/{bill_id}/amendments/","servers":[{"url":"https://parsagon.io"}],"method":"get","request":{"security":[],"parameters":{"query":{"house":{"schema":[{"type":"string","description":"Only return amendments tabled in this house, such as `Lords` . Must match the amendment’s `house` exactly."}]},"stage":{"schema":[{"type":"string","description":"Only return amendments tabled at this stage, such as `Committee stage` . Must match the amendment’s `stage` exactly."}]},"marshalled_no":{"schema":[{"type":"string","description":"Only return amendments with this number, such as `17` ."}]},"limit":{"schema":[{"type":"number","description":"The maximum number of records to return. Defaults to `100` ; maximum `500` ."}]},"offset":{"schema":[{"type":"number","description":"The number of records to skip. Defaults to `0` ."}]}},"header":{},"cookie":{},"path":{"bill_id":{"schema":[{"type":"string","description":"The `id` of the bill.","required":true}]}}},"body":{}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"count":[{"type":"integer","description":"Total number of records that match the query."}],"next":[{"type":"object","properties":{},"description":"URL for the next page of results, or `null` if this is the last page."}],"previous":[{"type":"object","properties":{},"description":"URL for the previous page of results, or `null` if this is the first page."}],"results":[{"type":"array","items":[{"type":"object","properties":{"id":[{"type":"string","description":"UUID of the amendment."}],"external_id":[{"type":"string","description":"The amendment’s ID in the legislature’s own system."}],"stage":[{"type":"string","description":"The stage the amendment was tabled at. Empty if unavailable."}],"house":[{"type":"string","description":"The house the amendment was tabled in. Empty if unavailable."}],"marshalled_no":[{"type":"string","description":"The amendment’s number on the legislature’s list of amendments. Empty if unavailable."}],"amendment_type":[{"type":"string","description":"Type of amendment, as given by the legislature. Empty if unavailable."}],"summary_text":[{"type":"string","description":"Text of the amendment. Empty if unavailable."}],"explanatory_text_prefix":[{"type":"string","description":"Heading of the explanatory statement. Empty if unavailable."}],"explanatory_text":[{"type":"string","description":"The explanatory statement for the amendment. Empty if unavailable."}],"decision":[{"type":"string","description":"The decision on the amendment, such as `\"Withdrawn\"` . Empty if no decision has been made."}],"decision_explanation":[{"type":"string","description":"Explanation of the decision. Empty if unavailable."}],"decision_changed_at":[{"type":"object","properties":{},"description":"When Parsagon detected a change to the decision (ISO 8601)."}],"government_tag":[{"type":"string","description":"`\"Government\"` for a government amendment, or `\"Non-government\"` . Empty if unknown."}],"upstream_url":[{"type":"string","description":"URL of the amendment on the legislature’s website. Empty if unavailable."}],"source":[{"type":"object","properties":{},"description":"`uuid` of the `\"LEGISLATION\"` source for the amendment. `null` if Parsagon hasn’t created one."}],"sponsors":[{"type":"array","items":[{"type":"object","properties":{"name":[{"type":"string","description":"Name of the sponsor."}],"party":[{"type":"string","description":"The sponsor’s party, as a short key such as `\"ld\"` . Empty if unknown."}],"member_from":[{"type":"string","description":"The sponsor’s constituency or other affiliation. Empty if unavailable."}],"is_lead":[{"type":"boolean","description":"Whether the sponsor is the lead sponsor."}],"external_member_id":[{"type":"string","description":"The sponsor’s member ID in the legislature’s own system. Empty if unavailable."}]}}],"description":"The members who tabled the amendment."}]}}],"description":"Array of amendments."}]}}],"examples":{"example":{"value":{"count":123,"next":{},"previous":{},"results":[{"id":"\u003cstring>","external_id":"\u003cstring>","stage":"\u003cstring>","house":"\u003cstring>","marshalled_no":"\u003cstring>","amendment_type":"\u003cstring>","summary_text":"\u003cstring>","explanatory_text_prefix":"\u003cstring>","explanatory_text":"\u003cstring>","decision":"\u003cstring>","decision_explanation":"\u003cstring>","decision_changed_at":{},"government_tag":"\u003cstring>","upstream_url":"\u003cstring>","source":{},"sponsors":[{"name":"\u003cstring>","party":"\u003cstring>","member_from":"\u003cstring>","is_lead":true,"external_member_id":"\u003cstring>"}]}]}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"parsagon","siteName":"Parsagon API","title":"List bill amendments - Parsagon API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-19T03:10:21.845Z","originalFileLocation":"api-reference/legislative/list-amendments.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the amendments tabled to a bill, with their text and sponsors.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Parsagon API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"List bill amendments - Parsagon API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the amendments tabled to a bill, with their text and sponsors.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Parsagon API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.parsagon.io/api-reference/legislative/list-amendments\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://parsagon.mintlify.site/_mintlify/api/og/v2?division=Bill+records\u0026amp;title=List+bill+amendments\u0026amp;description=Retrieve+the+amendments+tabled+to+a+bill%2C+with+their+text+and+sponsors.\u0026amp;theme=0acf6cd42906871d92a02230\u0026amp;signature=ba59ea8dee6933c5172144d886a986607e8f7a15f174a1f1b2c94612a50c8af7\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"List bill amendments - Parsagon API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the amendments tabled to a bill, with their text and sponsors.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://parsagon.mintlify.site/_mintlify/api/og/v2?division=Bill+records\u0026amp;title=List+bill+amendments\u0026amp;description=Retrieve+the+amendments+tabled+to+a+bill%2C+with+their+text+and+sponsors.\u0026amp;theme=0acf6cd42906871d92a02230\u0026amp;signature=ba59ea8dee6933c5172144d886a986607e8f7a15f174a1f1b2c94612a50c8af7\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/parsagon/Z4wUX8FHmkRRWAmT/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Parsagon API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#006ef5\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.parsagon.io/api-reference/legislative/list-amendments\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/legislative/list-amendments.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.parsagon.io/#organization\",\"name\":\"Parsagon API\",\"url\":\"https://docs.parsagon.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/parsagon/OT9jFrMDyW944O06/logo/light.svg?fit=max\u0026auto=format\u0026n=OT9jFrMDyW944O06\u0026q=85\u0026s=41a1f2238536b1d77487a185943344fe\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.parsagon.io#website\",\"name\":\"Parsagon API\",\"url\":\"https://docs.parsagon.io\",\"publisher\":{\"@id\":\"https://docs.parsagon.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments#webpage\",\"url\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments\",\"name\":\"List bill amendments\",\"description\":\"Retrieve the amendments tabled to a bill, with their text and sponsors.\",\"dateModified\":\"2026-11-19T03:10:21.845Z\",\"isPartOf\":{\"@id\":\"https://docs.parsagon.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Legislative\",\"item\":\"https://docs.parsagon.io/api-reference/legislative/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Bill records\",\"item\":\"https://docs.parsagon.io/api-reference/legislative/list-actions\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"List bill amendments\",\"item\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments#apireference\",\"headline\":\"List bill amendments\",\"name\":\"List bill amendments\",\"description\":\"Retrieve the amendments tabled to a bill, with their text and sponsors.\",\"url\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments\",\"mainEntityOfPage\":{\"@id\":\"https://docs.parsagon.io/api-reference/legislative/list-amendments#webpage\"},\"dateModified\":\"2026-11-19T03:10:21.845Z\",\"publisher\":{\"@id\":\"https://docs.parsagon.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.parsagon.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Parsagon API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Parsagon API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/legislative/list-amendments.md","siteName":"Parsagon API","nav":{"global":null,"groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Search and monitoring","pages":[{"title":"Quick Search","api":"POST https://parsagon.io/api/events/v1/quick-search/","href":"/api-reference/endpoint/quick-search"},{"title":"Create advanced search","api":"POST https://parsagon.io/api/events/v1/search/","href":"/api-reference/endpoint/advanced-search"},{"title":"Retrieve advanced search","api":"GET https://parsagon.io/api/events/v1/search/{search_id}/","href":"/api-reference/endpoint/get-search"},{"title":"List searches","api":"GET https://parsagon.io/api/events/v1/search/","href":"/api-reference/endpoint/list-searches"},{"title":"Create report","api":"POST https://parsagon.io/api/events/v1/reports/","href":"/api-reference/endpoint/create-report"},{"title":"Retrieve report","api":"GET https://parsagon.io/api/events/v1/reports/{report_id}/","href":"/api-reference/endpoint/get-report"},{"title":"Get jurisdiction usage","api":"GET https://parsagon.io/api/usage/v1/jurisdictions/","href":"/api-reference/endpoint/jurisdiction-usage"},{"title":"Get category sources","api":"GET https://parsagon.io/api/events/v1/categories/{category_id}/sources/","href":"/api-reference/endpoint/category-sources"},{"title":"Get category sources v2","api":"GET https://parsagon.io/api/events/v2/categories/{category_id}/sources/","href":"/api-reference/endpoint/category-sources-v2"},{"title":"List transcripts","api":"GET https://parsagon.io/api/transcripts/v1/categories/{category}/transcripts","href":"/api-reference/endpoint/list-transcripts"},{"title":"Search transcripts","api":"GET https://parsagon.io/api/transcripts/v1/categories/{category}/search","href":"/api-reference/endpoint/search-transcripts"},{"title":"Get transcript","api":"GET https://parsagon.io/api/transcripts/v1/{id}","href":"/api-reference/endpoint/get-transcript"},{"title":"Transcript requests","href":"/api-reference/endpoint/transcript-requests"}]},{"group":"Legislative","pages":[{"title":"Legislative API overview","sidebarTitle":"Overview","href":"/api-reference/legislative/overview"},{"title":"List jurisdictions","api":"GET https://parsagon.io/api/legislative/v1/jurisdictions/","href":"/api-reference/legislative/list-jurisdictions"},{"group":"Bills","pages":[{"title":"List bills","api":"GET https://parsagon.io/api/legislative/v1/bills/","href":"/api-reference/legislative/list-bills"},{"title":"Get bill","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/","href":"/api-reference/legislative/get-bill"}]},{"group":"Bill records","pages":[{"title":"List bill actions","sidebarTitle":"Actions","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/actions/","href":"/api-reference/legislative/list-actions"},{"title":"List bill events","sidebarTitle":"Events","description":"Retrieve sittings, debates, and other activities on a bill, past and scheduled.","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/events/","href":"/api-reference/legislative/list-events"},{"title":"List bill amendments","sidebarTitle":"Amendments","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/amendments/","href":"/api-reference/legislative/list-amendments"},{"title":"List bill votes","sidebarTitle":"Votes","description":"Retrieve the divisions on a bill and the decisions on its amendments, oldest first.","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/votes/","href":"/api-reference/legislative/list-votes"},{"title":"List bill speeches","sidebarTitle":"Speeches","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/speeches/","href":"/api-reference/legislative/list-speeches"},{"title":"List bill text versions","sidebarTitle":"Text versions","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/texts/","href":"/api-reference/legislative/list-texts"},{"title":"Get bill text version","sidebarTitle":"Get text version","api":"GET https://parsagon.io/api/legislative/v1/bills/{bill_id}/texts/{text_id}/","href":"/api-reference/legislative/get-text"}]},{"title":"Get legislative source","api":"GET https://parsagon.io/api/legislative/v1/sources/{source_uuid}/","href":"/api-reference/legislative/get-source"}]},{"group":"AI tools","pages":[{"title":"Coding agent skill","icon":"robot","href":"/ai-tools/coding-agent-skill"},{"title":"Claude Code setup","icon":"asterisk","href":"/ai-tools/claude-code"},{"title":"Cursor setup","icon":"arrow-pointer","href":"/ai-tools/cursor"},{"title":"Windsurf setup","icon":"water","href":"/ai-tools/windsurf"}]}]},"basePath":"","title":"List bill amendments - Parsagon API","deploymentId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","buildId":"dpl_DyXGnKeCjZyA3sUdfMJ7FjkdBefg","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CiUHMMOm.js","snippetPresets-BgfXU7Bw.js","utils-DWvOwgy_.js","style-to-object-BY3JEAdk.js","utils-BN7RXSMJ.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-CFw8bq89.js","conditional-requirements-CFM0id0Q.js","cloneDeep-CAwdfOU2.js","_Uint8Array-BJr8e-ZL.js","isObject-FP1Yky1u.js","ApiExamples-XX0UgMZK.js","usePlaygroundInputsStore-DXDFSa1V.js","shallow-CdX5aREi.js","isEqual-CoOaxexF.js","CodeSnippets-Cg2wpzWm.js","CodeSnippet-D_HwgQO_.js","getApiPlaygroundDisplay-CmCoerhe.js","Page-CVJ-f_k1.js","DynamicMarkdown-CQM9Bhbv.js","SectionHeading-DpbrP8nQ.js","icon-BPCgijHy.js","MethodPill-GQ8DuY0c.js","getPastedJson-Cb5mT31m.js","Check2Icon-a7bUI6e8.js","axios-CsQoIw0U.js"]}